local LrTasks = import 'LrTasks'
local catalog = import "LrApplication".activeCatalog()
local ProgressScope = import 'LrProgressScope'
local LrDialogs = import 'LrDialogs'
local LrView = import 'LrView'

LrTasks.startAsyncTask( function()
	local photos=catalog:getTargetPhotos()
	if #photos == 0 then return end
	lrItem  = 1
	varFileName = ""
	varFileNames = {}
	local ProgressScope = ProgressScope({title = "My progress bar title" ,caption = "My progress bar caption",})
	for j, photo in ipairs(photos) do 		
			varFileName =  varFileName .. photo:getFormattedMetadata('fileName')		.. ", "
		lrItem = lrItem + 1
		ProgressScope:setPortionComplete(lrItem/#photos)
		ProgressScope:setCaption( lrItem .. "/" .. #photos .. '  ' .. photo:getFormattedMetadata('fileName'))
	end
	ProgressScope:done() 
	varFileName = string.sub(varFileName, 1, #varFileName-2)
	
	local f = LrView.osFactory()
	local c = 
		f:row{
		bind_to_object = props,	
			f:column { 				
				f:edit_field { value = varFileName, width_in_chars = 80, height_in_lines = 10 },
			},
		} 
	dialogValue = LrDialogs.presentModalDialog(
		{
			title = "Filenames" ,
			contents = c,
		}
	)
end)
